DescriptorProtos.EnumOptions.Builder
Date: 2017-07-08

com.google.protobuf

## Class DescriptorProtos.EnumOptions.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<BuilderType>
      - - com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.EnumOptions,DescriptorProtos.EnumOptions.Builder>
        - - com.google.protobuf.DescriptorProtos.EnumOptions.Builder

- All Implemented Interfaces:
    DescriptorProtos.EnumOptionsOrBuilder, GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.EnumOptions>, Message.Builder, MessageLite.Builder, MessageLiteOrBuilder, MessageOrBuilder, java.lang.Cloneable
  Enclosing class:
    DescriptorProtos.EnumOptions

      public static final class DescriptorProtos.EnumOptions.Builder
      extends GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.EnumOptions,DescriptorProtos.EnumOptions.Builder>
      implements DescriptorProtos.EnumOptionsOrBuilder

  Protobuf type `google.protobuf.EnumOptions`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DescriptorProtos.EnumOptions.Builder` | `addAllUninterpretedOption(java.lang.Iterable<? extends DescriptorProtos.UninterpretedOption> values)` The parser stores options it doesn't recognize here.
    `<Type> DescriptorProtos.EnumOptions.Builder` | `addExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.EnumOptions,java.util.List<Type>> extension, Type value)` Append a value to a repeated extension.
    `DescriptorProtos.EnumOptions.Builder` | `addRepeatedField(Descriptors.FieldDescriptor field, java.lang.Object value)` Like `setRepeatedField`, but appends the value as a new element.
    `DescriptorProtos.EnumOptions.Builder` | `addUninterpretedOption(DescriptorProtos.UninterpretedOption.Builder builderForValue)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.EnumOptions.Builder` | `addUninterpretedOption(DescriptorProtos.UninterpretedOption value)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.EnumOptions.Builder` | `addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.EnumOptions.Builder` | `addUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.UninterpretedOption.Builder` | `addUninterpretedOptionBuilder()` The parser stores options it doesn't recognize here.
    `DescriptorProtos.UninterpretedOption.Builder` | `addUninterpretedOptionBuilder(int index)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.EnumOptions` | `build()` Constructs the message based on the state of the Builder.
    `DescriptorProtos.EnumOptions` | `buildPartial()` Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
    `DescriptorProtos.EnumOptions.Builder` | `clear()` Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
    `DescriptorProtos.EnumOptions.Builder` | `clearAllowAlias()` Set this option to true to allow mapping different tag names to the same value.
    `DescriptorProtos.EnumOptions.Builder` | `clearDeprecated()` Is this enum deprecated? Depending on the target platform, this can emit Deprecated annotations for the enum, or it will be completely ignored; in the very least, this is a formalization for deprecating enums.
    `<Type> DescriptorProtos.EnumOptions.Builder` | `clearExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.EnumOptions,?> extension)` Clear an extension.
    `DescriptorProtos.EnumOptions.Builder` | `clearField(Descriptors.FieldDescriptor field)` Clears the field.
    `DescriptorProtos.EnumOptions.Builder` | `clearOneof(Descriptors.OneofDescriptor oneof)` TODO(jieluo): Clear it when all subclasses have implemented this method.
    `DescriptorProtos.EnumOptions.Builder` | `clearUninterpretedOption()` The parser stores options it doesn't recognize here.
    `DescriptorProtos.EnumOptions.Builder` | `clone()` Clones the Builder.
    `boolean` | `getAllowAlias()` Set this option to true to allow mapping different tag names to the same value.
    `DescriptorProtos.EnumOptions` | `getDefaultInstanceForType()` Get an instance of the type with no fields set.
    `boolean` | `getDeprecated()` Is this enum deprecated? Depending on the target platform, this can emit Deprecated annotations for the enum, or it will be completely ignored; in the very least, this is a formalization for deprecating enums.
    `static Descriptors.Descriptor` | `getDescriptor()`
    `Descriptors.Descriptor` | `getDescriptorForType()` Get the message's type's descriptor.
    `DescriptorProtos.UninterpretedOption` | `getUninterpretedOption(int index)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.UninterpretedOption.Builder` | `getUninterpretedOptionBuilder(int index)` The parser stores options it doesn't recognize here.
    `java.util.List<DescriptorProtos.UninterpretedOption.Builder>` | `getUninterpretedOptionBuilderList()` The parser stores options it doesn't recognize here.
    `int` | `getUninterpretedOptionCount()` The parser stores options it doesn't recognize here.
    `java.util.List<DescriptorProtos.UninterpretedOption>` | `getUninterpretedOptionList()` The parser stores options it doesn't recognize here.
    `DescriptorProtos.UninterpretedOptionOrBuilder` | `getUninterpretedOptionOrBuilder(int index)` The parser stores options it doesn't recognize here.
    `java.util.List<? extends DescriptorProtos.UninterpretedOptionOrBuilder>` | `getUninterpretedOptionOrBuilderList()` The parser stores options it doesn't recognize here.
    `boolean` | `hasAllowAlias()` Set this option to true to allow mapping different tag names to the same value.
    `boolean` | `hasDeprecated()` Is this enum deprecated? Depending on the target platform, this can emit Deprecated annotations for the enum, or it will be completely ignored; in the very least, this is a formalization for deprecating enums.
    `protected GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` Get the FieldAccessorTable for this type.
    `boolean` | `isInitialized()` Returns true if all required fields in the message and all embedded messages are set, false otherwise.
    `DescriptorProtos.EnumOptions.Builder` | `mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)` Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
    `DescriptorProtos.EnumOptions.Builder` | `mergeFrom(DescriptorProtos.EnumOptions other)`
    `DescriptorProtos.EnumOptions.Builder` | `mergeFrom(Message other)` Merge `other` into the message being built.
    `DescriptorProtos.EnumOptions.Builder` | `mergeUnknownFields(UnknownFieldSet unknownFields)` Merge some unknown fields into the `UnknownFieldSet` for this message.
    `DescriptorProtos.EnumOptions.Builder` | `removeUninterpretedOption(int index)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.EnumOptions.Builder` | `setAllowAlias(boolean value)` Set this option to true to allow mapping different tag names to the same value.
    `DescriptorProtos.EnumOptions.Builder` | `setDeprecated(boolean value)` Is this enum deprecated? Depending on the target platform, this can emit Deprecated annotations for the enum, or it will be completely ignored; in the very least, this is a formalization for deprecating enums.
    `<Type> DescriptorProtos.EnumOptions.Builder` | `setExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.EnumOptions,java.util.List<Type>> extension, int index, Type value)` Set the value of one element of a repeated extension.
    `<Type> DescriptorProtos.EnumOptions.Builder` | `setExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.EnumOptions,Type> extension, Type value)` Set the value of an extension.
    `DescriptorProtos.EnumOptions.Builder` | `setField(Descriptors.FieldDescriptor field, java.lang.Object value)` Sets a field to the given value.
    `DescriptorProtos.EnumOptions.Builder` | `setRepeatedField(Descriptors.FieldDescriptor field, int index, java.lang.Object value)` Sets an element of a repeated field to the given value.
    `DescriptorProtos.EnumOptions.Builder` | `setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption.Builder builderForValue)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.EnumOptions.Builder` | `setUninterpretedOption(int index, DescriptorProtos.UninterpretedOption value)` The parser stores options it doesn't recognize here.
    `DescriptorProtos.EnumOptions.Builder` | `setUnknownFields(UnknownFieldSet unknownFields)` Set the `UnknownFieldSet` for this message.

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.ExtendableBuilder

      `addExtension, addExtension, clearExtension, clearExtension, extensionsAreInitialized, getAllFields, getExtension, getExtension, getExtension, getExtension, getExtension, getExtension, getExtensionCount, getExtensionCount, getExtensionCount, getField, getRepeatedField, getRepeatedFieldCount, hasExtension, hasExtension, hasExtension, hasField, mergeExtensionFields, parseUnknownField, setExtension, setExtension, setExtension, setExtension`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

      `getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedFieldBuilder, getUnknownFields, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder

      `getExtension, getExtension, getExtension, getExtension, getExtension, getExtension, getExtensionCount, getExtensionCount, getExtensionCount, hasExtension, hasExtension, hasExtension`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

- - ### Method Detail

    - #### getDescriptor

          public static final Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Description copied from class: `GeneratedMessageV3.Builder`
      Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.
      Specified by:
        `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumOptions.Builder>`

    - #### clear

          public DescriptorProtos.EnumOptions.Builder clear()

      Description copied from class: `GeneratedMessageV3.Builder`
      Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
      Specified by:
        `clear` in interface `Message.Builder`
      Specified by:
        `clear` in interface `MessageLite.Builder`
      Overrides:
        `clear` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.EnumOptions,DescriptorProtos.EnumOptions.Builder>`

    - #### getDescriptorForType

          public Descriptors.Descriptor getDescriptorForType()

      Description copied from interface: `Message.Builder`
      Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.
      Specified by:
        `getDescriptorForType` in interface `Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumOptions.Builder>`

    - #### getDefaultInstanceForType

          public DescriptorProtos.EnumOptions getDefaultInstanceForType()

      Description copied from interface: `MessageLiteOrBuilder`
      Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.
      Specified by:
        `getDefaultInstanceForType` in interface `GeneratedMessageV3.ExtendableMessageOrBuilder<DescriptorProtos.EnumOptions>`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `MessageOrBuilder`

    - #### build

          public DescriptorProtos.EnumOptions build()

      Description copied from interface: `MessageLite.Builder`
      Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `build` in interface `Message.Builder`
      Specified by:
        `build` in interface `MessageLite.Builder`

    - #### buildPartial

          public DescriptorProtos.EnumOptions buildPartial()

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.
      Specified by:
        `buildPartial` in interface `Message.Builder`
      Specified by:
        `buildPartial` in interface `MessageLite.Builder`

    - #### clone

          public DescriptorProtos.EnumOptions.Builder clone()

      Description copied from interface: `MessageLite.Builder`
      Clones the Builder.
      Specified by:
        `clone` in interface `Message.Builder`
      Specified by:
        `clone` in interface `MessageLite.Builder`
      Overrides:
        `clone` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumOptions.Builder>`
      See Also:
        `Object.clone()`

    - #### setField

          public DescriptorProtos.EnumOptions.Builder setField(Descriptors.FieldDescriptor field,
                                                      java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets a field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getField(Descriptors.FieldDescriptor)` would return.
      Specified by:
        `setField` in interface `Message.Builder`
      Overrides:
        `setField` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.EnumOptions,DescriptorProtos.EnumOptions.Builder>`

    - #### clearField

          public DescriptorProtos.EnumOptions.Builder clearField(Descriptors.FieldDescriptor field)

      Description copied from interface: `Message.Builder`
      Clears the field. This is exactly equivalent to calling the generated "clear" accessor method corresponding to the field.
      Specified by:
        `clearField` in interface `Message.Builder`
      Overrides:
        `clearField` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.EnumOptions,DescriptorProtos.EnumOptions.Builder>`

    - #### clearOneof

          public DescriptorProtos.EnumOptions.Builder clearOneof(Descriptors.OneofDescriptor oneof)

      Description copied from class: `AbstractMessage.Builder`
      TODO(jieluo): Clear it when all subclasses have implemented this method.
      Specified by:
        `clearOneof` in interface `Message.Builder`
      Overrides:
        `clearOneof` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumOptions.Builder>`

    - #### setRepeatedField

          public DescriptorProtos.EnumOptions.Builder setRepeatedField(Descriptors.FieldDescriptor field,
                                                              int index,
                                                              java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Sets an element of a repeated field to the given value. The value must be of the correct type for this field, i.e. the same type that `MessageOrBuilder.getRepeatedField(Descriptors.FieldDescriptor,int)` would return.
      Specified by:
        `setRepeatedField` in interface `Message.Builder`
      Overrides:
        `setRepeatedField` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.EnumOptions,DescriptorProtos.EnumOptions.Builder>`

    - #### addRepeatedField

          public DescriptorProtos.EnumOptions.Builder addRepeatedField(Descriptors.FieldDescriptor field,
                                                              java.lang.Object value)

      Description copied from interface: `Message.Builder`
      Like `setRepeatedField`, but appends the value as a new element.
      Specified by:
        `addRepeatedField` in interface `Message.Builder`
      Overrides:
        `addRepeatedField` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.EnumOptions,DescriptorProtos.EnumOptions.Builder>`

    - #### setExtension

          public <Type> DescriptorProtos.EnumOptions.Builder setExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.EnumOptions,Type> extension,
                                                                 Type value)

      Description copied from class: `GeneratedMessageV3.ExtendableBuilder`
      Set the value of an extension.
      Overrides:
        `setExtension` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.EnumOptions,DescriptorProtos.EnumOptions.Builder>`

    - #### setExtension

          public <Type> DescriptorProtos.EnumOptions.Builder setExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.EnumOptions,java.util.List<Type>> extension,
                                                                 int index,
                                                                 Type value)

      Description copied from class: `GeneratedMessageV3.ExtendableBuilder`
      Set the value of one element of a repeated extension.
      Overrides:
        `setExtension` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.EnumOptions,DescriptorProtos.EnumOptions.Builder>`

    - #### addExtension

          public <Type> DescriptorProtos.EnumOptions.Builder addExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.EnumOptions,java.util.List<Type>> extension,
                                                                 Type value)

      Description copied from class: `GeneratedMessageV3.ExtendableBuilder`
      Append a value to a repeated extension.
      Overrides:
        `addExtension` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.EnumOptions,DescriptorProtos.EnumOptions.Builder>`

    - #### clearExtension

          public <Type> DescriptorProtos.EnumOptions.Builder clearExtension(GeneratedMessage.GeneratedExtension<DescriptorProtos.EnumOptions,?> extension)

      Description copied from class: `GeneratedMessageV3.ExtendableBuilder`
      Clear an extension.
      Overrides:
        `clearExtension` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.EnumOptions,DescriptorProtos.EnumOptions.Builder>`

    - #### mergeFrom

          public DescriptorProtos.EnumOptions.Builder mergeFrom(Message other)

      Description copied from interface: `Message.Builder`
      Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`). Merging occurs as follows. For each field:
      * For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
      * For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
      * For repeated fields, the elements in `other` are concatenated with the elements in this message. * For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved. This is equivalent to the `Message::MergeFrom` method in C++.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.EnumOptions.Builder>`

    - #### mergeFrom

          public DescriptorProtos.EnumOptions.Builder mergeFrom(DescriptorProtos.EnumOptions other)

    - #### isInitialized

          public final boolean isInitialized()

      Description copied from interface: `MessageLiteOrBuilder`
      Returns true if all required fields in the message and all embedded messages are set, false otherwise.

      See also: `MessageOrBuilder.getInitializationErrorString()`

      Specified by:
        `isInitialized` in interface `MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `GeneratedMessageV3.ExtendableBuilder<DescriptorProtos.EnumOptions,DescriptorProtos.EnumOptions.Builder>`

    - #### mergeFrom

          public DescriptorProtos.EnumOptions.Builder mergeFrom(CodedInputStream input,
                                                       ExtensionRegistryLite extensionRegistry)
                                                         throws java.io.IOException

      Description copied from interface: `MessageLite.Builder`
      Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.
      Specified by:
        `mergeFrom` in interface `Message.Builder`
      Specified by:
        `mergeFrom` in interface `MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `AbstractMessage.Builder<DescriptorProtos.EnumOptions.Builder>`
      Throws:
        `java.io.IOException`

    - #### hasAllowAlias

          public boolean hasAllowAlias()

           Set this option to true to allow mapping different tag names to the same
           value.

      `optional bool allow_alias = 2;`
      Specified by:
        `hasAllowAlias` in interface `DescriptorProtos.EnumOptionsOrBuilder`

    - #### getAllowAlias

          public boolean getAllowAlias()

           Set this option to true to allow mapping different tag names to the same
           value.

      `optional bool allow_alias = 2;`
      Specified by:
        `getAllowAlias` in interface `DescriptorProtos.EnumOptionsOrBuilder`

    - #### setAllowAlias

          public DescriptorProtos.EnumOptions.Builder setAllowAlias(boolean value)

           Set this option to true to allow mapping different tag names to the same
           value.

      `optional bool allow_alias = 2;`

    - #### clearAllowAlias

          public DescriptorProtos.EnumOptions.Builder clearAllowAlias()

           Set this option to true to allow mapping different tag names to the same
           value.

      `optional bool allow_alias = 2;`

    - #### hasDeprecated

          public boolean hasDeprecated()

           Is this enum deprecated?
           Depending on the target platform, this can emit Deprecated annotations
           for the enum, or it will be completely ignored; in the very least, this
           is a formalization for deprecating enums.

      `optional bool deprecated = 3 [default = false];`
      Specified by:
        `hasDeprecated` in interface `DescriptorProtos.EnumOptionsOrBuilder`

    - #### getDeprecated

          public boolean getDeprecated()

           Is this enum deprecated?
           Depending on the target platform, this can emit Deprecated annotations
           for the enum, or it will be completely ignored; in the very least, this
           is a formalization for deprecating enums.

      `optional bool deprecated = 3 [default = false];`
      Specified by:
        `getDeprecated` in interface `DescriptorProtos.EnumOptionsOrBuilder`

    - #### setDeprecated

          public DescriptorProtos.EnumOptions.Builder setDeprecated(boolean value)

           Is this enum deprecated?
           Depending on the target platform, this can emit Deprecated annotations
           for the enum, or it will be completely ignored; in the very least, this
           is a formalization for deprecating enums.

      `optional bool deprecated = 3 [default = false];`

    - #### clearDeprecated

          public DescriptorProtos.EnumOptions.Builder clearDeprecated()

           Is this enum deprecated?
           Depending on the target platform, this can emit Deprecated annotations
           for the enum, or it will be completely ignored; in the very least, this
           is a formalization for deprecating enums.

      `optional bool deprecated = 3 [default = false];`

    - #### getUninterpretedOptionList

          public java.util.List<DescriptorProtos.UninterpretedOption> getUninterpretedOptionList()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
      Specified by:
        `getUninterpretedOptionList` in interface `DescriptorProtos.EnumOptionsOrBuilder`

    - #### getUninterpretedOptionCount

          public int getUninterpretedOptionCount()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
      Specified by:
        `getUninterpretedOptionCount` in interface `DescriptorProtos.EnumOptionsOrBuilder`

    - #### getUninterpretedOption

          public DescriptorProtos.UninterpretedOption getUninterpretedOption(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
      Specified by:
        `getUninterpretedOption` in interface `DescriptorProtos.EnumOptionsOrBuilder`

    - #### setUninterpretedOption

          public DescriptorProtos.EnumOptions.Builder setUninterpretedOption(int index,
                                                                    DescriptorProtos.UninterpretedOption value)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### setUninterpretedOption

          public DescriptorProtos.EnumOptions.Builder setUninterpretedOption(int index,
                                                                    DescriptorProtos.UninterpretedOption.Builder builderForValue)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### addUninterpretedOption

          public DescriptorProtos.EnumOptions.Builder addUninterpretedOption(DescriptorProtos.UninterpretedOption value)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### addUninterpretedOption

          public DescriptorProtos.EnumOptions.Builder addUninterpretedOption(int index,
                                                                    DescriptorProtos.UninterpretedOption value)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### addUninterpretedOption

          public DescriptorProtos.EnumOptions.Builder addUninterpretedOption(DescriptorProtos.UninterpretedOption.Builder builderForValue)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### addUninterpretedOption

          public DescriptorProtos.EnumOptions.Builder addUninterpretedOption(int index,
                                                                    DescriptorProtos.UninterpretedOption.Builder builderForValue)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### addAllUninterpretedOption

          public DescriptorProtos.EnumOptions.Builder addAllUninterpretedOption(java.lang.Iterable<? extends DescriptorProtos.UninterpretedOption> values)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### clearUninterpretedOption

          public DescriptorProtos.EnumOptions.Builder clearUninterpretedOption()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### removeUninterpretedOption

          public DescriptorProtos.EnumOptions.Builder removeUninterpretedOption(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOptionBuilder

          public DescriptorProtos.UninterpretedOption.Builder getUninterpretedOptionBuilder(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOptionOrBuilder

          public DescriptorProtos.UninterpretedOptionOrBuilder getUninterpretedOptionOrBuilder(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
      Specified by:
        `getUninterpretedOptionOrBuilder` in interface `DescriptorProtos.EnumOptionsOrBuilder`

    - #### getUninterpretedOptionOrBuilderList

          public java.util.List<? extends DescriptorProtos.UninterpretedOptionOrBuilder> getUninterpretedOptionOrBuilderList()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`
      Specified by:
        `getUninterpretedOptionOrBuilderList` in interface `DescriptorProtos.EnumOptionsOrBuilder`

    - #### addUninterpretedOptionBuilder

          public DescriptorProtos.UninterpretedOption.Builder addUninterpretedOptionBuilder()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### addUninterpretedOptionBuilder

          public DescriptorProtos.UninterpretedOption.Builder addUninterpretedOptionBuilder(int index)

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### getUninterpretedOptionBuilderList

          public java.util.List<DescriptorProtos.UninterpretedOption.Builder> getUninterpretedOptionBuilderList()

           The parser stores options it doesn't recognize here. See above.

      `repeated .google.protobuf.UninterpretedOption uninterpreted_option = 999;`

    - #### setUnknownFields

          public final DescriptorProtos.EnumOptions.Builder setUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Set the `UnknownFieldSet` for this message.
      Specified by:
        `setUnknownFields` in interface `Message.Builder`
      Overrides:
        `setUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumOptions.Builder>`

    - #### mergeUnknownFields

          public final DescriptorProtos.EnumOptions.Builder mergeUnknownFields(UnknownFieldSet unknownFields)

      Description copied from interface: `Message.Builder`
      Merge some unknown fields into the `UnknownFieldSet` for this message.
      Specified by:
        `mergeUnknownFields` in interface `Message.Builder`
      Overrides:
        `mergeUnknownFields` in class `GeneratedMessageV3.Builder<DescriptorProtos.EnumOptions.Builder>`